DataSetUpdatable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: DataSetUpdatable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class DataSetUpdatable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSetImmutable
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSetUpdatable

All Implemented Interfaces:
  `IDataSetUpdatable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

public class DataSetUpdatable extends DataSetImmutable implements IDataSetUpdatable
A data set already existing in the openBIS database, that is changed as part of the registration process of another data set.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService`
  `service`

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSetImmutable

  `dataSet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSetUpdatable(DataSetImmutable dataSet)`
  `DataSetUpdatable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData dataSet, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType`
  `getDataSetTypeWithPropertyTypes(String dataSetTypeCode)`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData`
  `getExternalData()`
  Only visible to internal implementation classes.
  `ch.systemsx.cisd.openbis.generic.shared.dto.DataSetBatchUpdatesDTO`
  `getUpdates()`
  `void`
  `setContainedDataSetCodes(List<String> containedDataSetCodes)`
  Set the codes for contained data sets.
  `void`
  `setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Set the experiment for this data set.
  `void`
  `setExternalCode(String externalCode)`
  Set the code from the external data management system
  `void`
  `setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)`
  Set the external data management system
  `void`
  `setParentDatasets(List<String> parentDataSetCodes)`
  Sets the parents of the dataset.
  `void`
  `setPropertyValue(String propertyCode, String propertyValue)`
  Set the value for a property.
  `void`
  `setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)`
  Set the sample for this data set.

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSetImmutable

  `equals, getAllPropertyCodes, getChildrenDataSets, getContainedDataSetCodes, getContainerDataSet, getContainerDataSets, getDataSetCode, getDataSetKind, getDataSetType, getDataSetTypeWithPropertyTypes, getEntityId, getExperiment, getExternalCode, getExternalDataManagementSystem, getOrderInContainer, getParentDatasets, getPropertyValue, getSample, getSpeedHint, isContainedDataSet, isContainerDataSet, isLinkDataSet, isMeasuredData, isNoFileDataSet, isPostRegistered`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable

  `getAllPropertyCodes, getChildrenDataSets, getContainedDataSetCodes, getContainerDataSet, getContainerDataSets, getDataSetCode, getDataSetKind, getDataSetType, getDataSetTypeWithPropertyTypes, getExperiment, getExternalCode, getExternalDataManagementSystem, getOrderInContainer, getParentDatasets, getPropertyValue, getSample, getSpeedHint, isContainedDataSet, isContainerDataSet, isLinkDataSet, isMeasuredData, isNoFileDataSet, isPostRegistered`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent

  `getEntityId`

- ## Field Details

  - ### service

    protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service

- ## Constructor Details

  - ### DataSetUpdatable

    public DataSetUpdatable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData dataSet, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)

  - ### DataSetUpdatable

    public DataSetUpdatable(DataSetImmutable dataSet)

- ## Method Details

  - ### setExperiment

    public void setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Description copied from interface: `IDataSetUpdatable`
    Set the experiment for this data set. The experiment may also be set by setting the sample.
    Specified by:
      `setExperiment` in interface `IDataSetUpdatable`
    Parameters:
      `experiment` - The experiment for this data set. Need not actually be immutable, but the immutable one is the supertype.

  - ### setSample

    public void setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)
    Description copied from interface: `IDataSetUpdatable`
    Set the sample for this data set. Will also set the experiment, since the sample must have an experiment.
    Specified by:
      `setSample` in interface `IDataSetUpdatable`
    Parameters:
      `sampleOrNull` - The sample to use. Need not actually be immutable, but the immutable one is the supertype.

  - ### setPropertyValue

    public void setPropertyValue(String propertyCode, String propertyValue)
    Description copied from interface: `IDataSetUpdatable`
    Set the value for a property.
    Specified by:
      `setPropertyValue` in interface `IDataSetUpdatable`

  - ### setParentDatasets

    public void setParentDatasets(List<String> parentDataSetCodes)
    Description copied from interface: `IDataSetUpdatable`
    Sets the parents of the dataset.
    Specified by:
      `setParentDatasets` in interface `IDataSetUpdatable`

  - ### setContainedDataSetCodes

    public void setContainedDataSetCodes(List<String> containedDataSetCodes)
    Description copied from interface: `IDataSetUpdatable`
    Set the codes for contained data sets.
    Specified by:
      `setContainedDataSetCodes` in interface `IDataSetUpdatable`

  - ### getExternalData

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData getExternalData()
    Only visible to internal implementation classes. Not part of the public interface.

  - ### getUpdates

    public ch.systemsx.cisd.openbis.generic.shared.dto.DataSetBatchUpdatesDTO getUpdates()

  - ### setExternalDataManagementSystem

    public void setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)
    Description copied from interface: `IDataSetUpdatable`
    Set the external data management system
    Specified by:
      `setExternalDataManagementSystem` in interface `IDataSetUpdatable`

  - ### setExternalCode

    public void setExternalCode(String externalCode)
    Description copied from interface: `IDataSetUpdatable`
    Set the code from the external data management system
    Specified by:
      `setExternalCode` in interface `IDataSetUpdatable`

  - ### getDataSetTypeWithPropertyTypes

    protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType getDataSetTypeWithPropertyTypes(String dataSetTypeCode)